MyGUI::IPlugin Class Referenceabstract

Base plugin class. More...

`#include <MyGUI_Plugin.h>`

## Public Member Functions

virtual | ~IPlugin ()=default
virtual const std::string & | getName () const =0
virtual void | install ()=0
virtual void | initialize ()=0
virtual void | shutdown ()=0
virtual void | uninstall ()=0

## Detailed Description

Base plugin class.

Definition at line 18 of file MyGUI_Plugin.h.

## Constructor & Destructor Documentation

## ~IPlugin()

virtual MyGUI::IPlugin::~IPlugin | ( |  | ) |

virtual default

## Member Function Documentation

## getName()

virtual const std::string & MyGUI::IPlugin::getName | ( |  | ) | const

pure virtual

Get the name of the plugin.

Remarks
  An implementation must be supplied for this method to uniquely identify the plugin

## initialize()

virtual void MyGUI::IPlugin::initialize | ( |  | ) |

pure virtual

Perform any tasks the plugin needs to perform on full system initialisation.

## install()

virtual void MyGUI::IPlugin::install | ( |  | ) |

pure virtual

Perform the plugin initial installation sequence

## shutdown()

virtual void MyGUI::IPlugin::shutdown | ( |  | ) |

pure virtual

Perform any tasks the plugin needs to perform when the system is shut down

## uninstall()

virtual void MyGUI::IPlugin::uninstall | ( |  | ) |

pure virtual

Perform the final plugin uninstallation sequence

The documentation for this class was generated from the following file:

- MyGUI_Plugin.h